Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036620
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajorhave not tried2017-08-07 15:002017-09-21 16:49
ReporternitasujenaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityhighResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revisionecbb239a5718
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036620: Trx Organization is not showing proper organization structure

DescriptionWhen we are creating record in commission window and going to create line, we faced following issue:
1.Trx organization in line showing only organizations which are under the header one .It not showing full list of organization.
2.When we changed the header organization.And after that trying to select trx organization in line ,it showing the same record as previously selected(showing the child of the previously selected organization in header.)
Steps To Reproduce1.Go to commission window.
2.Create a record.
3.Go to Line, click on list,it will show only the organization which are under the header organization.
4.Now change the header organization.
5.Again check for line trx organization it will show the previous selected organizations in the list.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0022314 newTriage Finance In some windows the Organization can be changed and this change is not propagated to all its child records 

-  Notes
(0098442)
AtulOpenbravo (developer)
2017-08-09 07:26
edited on: 2017-08-09 10:33

Test Plan

- Login as F&B International Group Admin
- Navigate to Commission window and create a record for "F&B US, Inc." Organization.
- Save record.
- Realize that Organization field is set as read only. User cannot change it any more.
- Navigate to Lines tab and check Trx Organization drop down list.
- Realize that it shows following
  - F&B US East Coast
  - F&B US West Coast
- Navigate back to commission header and create a new record for F&B US East Coast Organization.
- Navigate to Lines Tab and realize that Trx Organization has only F&B US East Coast option in the drop down list.

(0098443)
hgbot (developer)
2017-08-09 10:22

Repository: erp/devel/pi
Changeset: ecbb239a5718e8263b792c187f3bf2e07f304387
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Aug 08 17:52:47 2017 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/ecbb239a5718e8263b792c187f3bf2e07f304387 [^]

Fixes issue 36620: Trx Organization not showing proper organization structure

** Set Is Updateable flag of AD_Org_ID in Commission header table as No so that
organization of saved commission header cannot be changed

---
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0098444)
aferraz (developer)
2017-08-09 10:22

Code review + Testing OK
(0099301)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-08-07 15:00 nitasujena New Issue
2017-08-07 15:00 nitasujena Assigned To => Triage Finance
2017-08-07 15:00 nitasujena Modules => Core
2017-08-07 15:00 nitasujena Triggers an Emergency Pack => No
2017-08-07 15:04 nitasujena Priority normal => high
2017-08-08 09:04 aferraz Relationship added related to 0022314
2017-08-08 09:13 aferraz Assigned To Triage Finance => AtulOpenbravo
2017-08-08 09:30 AtulOpenbravo Status new => scheduled
2017-08-09 07:26 AtulOpenbravo Note Added: 0098442
2017-08-09 10:22 hgbot Checkin
2017-08-09 10:22 hgbot Note Added: 0098443
2017-08-09 10:22 hgbot Status scheduled => resolved
2017-08-09 10:22 hgbot Resolution open => fixed
2017-08-09 10:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ecbb239a5718e8263b792c187f3bf2e07f304387 [^]
2017-08-09 10:22 aferraz Review Assigned To => aferraz
2017-08-09 10:22 aferraz Note Added: 0098444
2017-08-09 10:22 aferraz Status resolved => closed
2017-08-09 10:22 aferraz Fixed in Version => 3.0PR17Q4
2017-08-09 10:33 AtulOpenbravo Note Edited: 0098442 View Revisions
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099301


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker